#include <debtags/Package.h>
#include <debtags/Maintainer.h>

#include <tagcoll/Tag.h>
#include <tagcoll/FilterChain.cc>
#include <tagcoll/InputMerger.cc>
#include <tagcoll/ItemGrouper.cc>
#include <tagcoll/OpSet.cc>
#include <tagcoll/SmartHierarchy.cc>
#include <tagcoll/TagcollConsumer.cc>
#include <tagcoll/TagCollection.cc>
#include <tagcoll/TagcollFilter.cc>
#include <tagcoll/UnfacetedRemover.cc>

// Instantiate tagcoll template for Debtags::Package items

template class FilterChain<Debtags::Package, Tagcoll::Tag>;
template class InputMerger<Debtags::Package, Tagcoll::Tag>;
template class ItemGrouper<Debtags::Package, Tagcoll::Tag>;
template class OpSet<Debtags::Package>;
template class OpSet<Debtags::Maintainer>;
template class SmartHierarchyNode<Debtags::Package, Tagcoll::Tag>;
template class TagcollConsumer<Debtags::Package, Tagcoll::Tag>;
template class TagCollection<Debtags::Package, Tagcoll::Tag>;
template class TagcollFilter<Debtags::Package, Tagcoll::Tag>;

// vim:set ts=4 sw=4:
